import { Permission } from "@cqsjjb/jjb-common-decorator/permission";
import { Connect } from "@cqsjjb/jjb-dva-runtime";
import DeviceRegionList from "~/components/DeviceRegion/List";
import { NS_DEVICEREGION, NS_SENSORDEVICE } from "~/enumerate/namespace";

function List(props) {
  return <DeviceRegionList {...props} type="gfd" />;
}

export default Connect([NS_DEVICEREGION, NS_SENSORDEVICE], true)(Permission(List));
